指定除纵坐标之外的所有标注类型的尺寸文本在延伸线之外的位置。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论此属性的初始值为。True 注意:此属性将覆盖给定维度的 DIMTOH 系统变量的值。
例子工 务 局: Sub Example_TextOutsideAlign() ' This example creates an aligned dimension in model space and ' allows the user to toggle the TextOutsideAlign value for the dimension Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 5.5: point2(1) = 5.5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll Toggle: Select Case MsgBox("Press OK to toggle the TextOutsideAlign value for this dimension", vbOKCancel) Case vbOK ' Toggle the TextOutsideAlign value for this dimension dimObj.TextOutsideAlign = Not (dimObj.TextOutsideAlign) dimObj.Update ThisDrawing.Regen acActiveViewport ' Read and display the new dimension TextOutsideAlign value MsgBox "TextOutsideAlign is currently set to: " & dimObj.TextOutsideAlign Case vbCancel Exit Sub End Select GoTo Toggle End Sub Visual LISP: (vl-load-com) (defun c:Example_TextOutsideAlign() ;; This example creates an aligned dimension in model space and ;; allows the user to toggle the TextOutsideAlign value for the dimension (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 5.5 5.5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) (vla-ZoomAll acadObj) ;; Toggle the TextOutsideAlign value for this dimension (vla-put-TextOutsideAlign dimObj (if (= (vla-get-TextOutsideAlign dimObj) :vlax-true) :vlax-false :vlax-true)) (vla-Update dimObj) (vla-Regen doc acActiveViewport) ;; Read and display the new dimension TextOutsideAlign value (alert (strcat "TextOutsideAlign is currently set to: " (if (= (vla-get-TextOutsideAlign dimObj) :vlax-true) "True" "False"))) ;; Toggle the TextOutsideAlign value for this dimension (vla-put-TextOutsideAlign dimObj (if (= (vla-get-TextOutsideAlign dimObj) :vlax-true) :vlax-false :vlax-true)) (vla-Update dimObj) (vla-Regen doc acActiveViewport) ;; Read and display the new dimension TextOutsideAlign value (alert (strcat "TextOutsideAlign is currently set to: " (if (= (vla-get-TextOutsideAlign dimObj) :vlax-true) "True" "False"))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:07
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.